### Method

# FwupdPlugin Device replace

since: 1.9.2

#### Declaration [src]

    void
    fu_device_replace (
      FuDevice* self,
      FuDevice* donor
    )

#### Description [src]

Copy properties from the old (no-longer-connected) device to the new (connected) device.

This is typcically called from the daemon device list and should not be called from plugin code.

Available since: 1.9.2

#### Parameters

`donor`

  Type: `FuDevice`

  The old `FuDevice`.

  The data is owned by the caller of the method.